## org.apache.lucene.search.similar
Class MoreLikeThisQuery

    java.lang.Object
      org.apache.lucene.search.Query
          org.apache.lucene.search.similar.MoreLikeThisQuery

All Implemented Interfaces:
  Serializable, Cloneable

    public class MoreLikeThisQuery

extends org.apache.lucene.search.Query

A simple wrapper for MoreLikeThis for use in scenarios where a Query object is required eg in custom QueryParser extensions. At query.rewrite() time the reader is used to construct the actual MoreLikeThis object and obtain the real Query object.

See Also:
  Serialized Form

Constructor Summary
`MoreLikeThisQuery(String likeText, String[] moreLikeFields, org.apache.lucene.analysis.Analyzer analyzer)` Deprecated. use `MoreLikeThisQuery(String, String[], Analyzer, String)` instead.
`MoreLikeThisQuery(String likeText, String[] moreLikeFields, org.apache.lucene.analysis.Analyzer analyzer, String fieldName)`

Method Summary
`org.apache.lucene.analysis.Analyzer` `getAnalyzer()`
`String` `getLikeText()`
`int` `getMaxQueryTerms()`
`int` `getMinDocFreq()`
`int` `getMinTermFrequency()`
`String[]` `getMoreLikeFields()`
`float` `getPercentTermsToMatch()`
`Set<?>` `getStopWords()`
`org.apache.lucene.search.Query` `rewrite(org.apache.lucene.index.IndexReader reader)`
`void` `setAnalyzer(org.apache.lucene.analysis.Analyzer analyzer)`
`void` `setLikeText(String likeText)`
`void` `setMaxQueryTerms(int maxQueryTerms)`
`void` `setMinDocFreq(int minDocFreq)`
`void` `setMinTermFrequency(int minTermFrequency)`
`void` `setMoreLikeFields(String[] moreLikeFields)`
`void` `setPercentTermsToMatch(float percentTermsToMatch)`
`void` `setStopWords(Set<?> stopWords)`
`String` `toString(String field)`

Methods inherited from class org.apache.lucene.search.Query
`clone, combine, createWeight, equals, extractTerms, getBoost, getSimilarity, hashCode, mergeBooleanQueries, setBoost, toString, weight`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MoreLikeThisQuery

    @Deprecated
    public MoreLikeThisQuery(String likeText,
                                        String[] moreLikeFields,
                                        org.apache.lucene.analysis.Analyzer analyzer)

  Deprecated. use `MoreLikeThisQuery(String, String[], Analyzer, String)` instead.

### MoreLikeThisQuery

    public MoreLikeThisQuery(String likeText,
                             String[] moreLikeFields,
                             org.apache.lucene.analysis.Analyzer analyzer,
                             String fieldName)

Parameters:
  `moreLikeFields` -

Method Detail

### rewrite

    public org.apache.lucene.search.Query rewrite(org.apache.lucene.index.IndexReader reader)
                                           throws IOException

  Overrides:
    `rewrite` in class `org.apache.lucene.search.Query`
  Throws:
    `IOException`

### toString

    public String toString(String field)

  Specified by:
    `toString` in class `org.apache.lucene.search.Query`

### getPercentTermsToMatch

    public float getPercentTermsToMatch()

### setPercentTermsToMatch

    public void setPercentTermsToMatch(float percentTermsToMatch)

### getAnalyzer

    public org.apache.lucene.analysis.Analyzer getAnalyzer()

### setAnalyzer

    public void setAnalyzer(org.apache.lucene.analysis.Analyzer analyzer)

### getLikeText

    public String getLikeText()

### setLikeText

    public void setLikeText(String likeText)

### getMaxQueryTerms

    public int getMaxQueryTerms()

### setMaxQueryTerms

    public void setMaxQueryTerms(int maxQueryTerms)

### getMinTermFrequency

    public int getMinTermFrequency()

### setMinTermFrequency

    public void setMinTermFrequency(int minTermFrequency)

### getMoreLikeFields

    public String[] getMoreLikeFields()

### setMoreLikeFields

    public void setMoreLikeFields(String[] moreLikeFields)

### getStopWords

    public Set<?> getStopWords()

### setStopWords

    public void setStopWords(Set<?> stopWords)

### getMinDocFreq

    public int getMinDocFreq()

### setMinDocFreq

    public void setMinDocFreq(int minDocFreq)